Skip to content

Bulk write 'MarketApartment'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
spaceobject(Apartment)required

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
default_requirement_profileobject or null(ApartmentRequirementProfile)
termsobject or null(ApartmentTerms)
listing_descriptionstring or null
kitchen_typestring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • KITCHEN - Kitchen

  • KITCHENETTE - Kitchenette

  • MINI_KITCHEN - Mini Kitchen

  • SHARED_KITCHEN - Shared Kitchen

  • NO_KITCHEN - No Kitchen

Enum:"KITCHEN""KITCHENETTE""MINI_KITCHEN""SHARED_KITCHEN""NO_KITCHEN"
has_security_doorboolean or null
kitchen_fan_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
washing_machine_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
tumbler_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
dishwasher_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
bathtub_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
shower_typestring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

  • SHARED - Shared

Enum:"NONE""PREPARED""PRESENT""SHARED"
handicap_adaptedboolean or null
has_private_patioboolean or null
patio_orientationstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NORTH - North

  • NORTHEAST - Northeast

  • EAST - East

  • SOUTHEAST - Southeast

  • SOUTH - South

  • SOUTHWEST - Southwest

  • WEST - West

  • NORTHWEST - Northwest

Enum:"NORTH""NORTHEAST""EAST""SOUTHEAST""SOUTH""SOUTHWEST""WEST""NORTHWEST"
balconystring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • REGULAR - Regular

  • FRENCH - French

  • GLASS - Glass

  • TERRACE - Terrace

Enum:"NONE""REGULAR""FRENCH""GLASS""TERRACE"
balcony_orientationstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NORTH - North

  • NORTHEAST - Northeast

  • EAST - East

  • SOUTHEAST - Southeast

  • SOUTH - South

  • SOUTHWEST - Southwest

  • WEST - West

  • NORTHWEST - Northwest

Enum:"NORTH""NORTHEAST""EAST""SOUTHEAST""SOUTH""SOUTHWEST""WEST""NORTHWEST"
parking_spotstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • AVAILABLE - Available

  • INCLUDED - Included

Enum:"NONE""AVAILABLE""INCLUDED"
garagestring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • AVAILABLE - Available

  • INCLUDED - Included

Enum:"NONE""AVAILABLE""INCLUDED"
has_shared_patioboolean or null
has_elevatorboolean or null
has_shared_laundry_roomboolean or null
has_shared_toiletboolean or null
has_shared_saunaboolean or null
has_bike_roomboolean or null
has_common_roomboolean or null
has_gymboolean or null
has_waste_disposal_roomboolean or null
is_investment_support_apartmentboolean or null
]
POST
/markets/spaces/marketapartment/list/
curl -i -X POST \
  https://dev.api.pigello.io/markets/spaces/marketapartment/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "custom_id": "string",
      "space": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "default_requirement_profile": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "terms": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "listing_description": "string",
      "kitchen_type": "KITCHEN",
      "has_security_door": true,
      "kitchen_fan_status": "NONE",
      "washing_machine_status": "NONE",
      "tumbler_status": "NONE",
      "dishwasher_status": "NONE",
      "bathtub_status": "NONE",
      "shower_type": "NONE",
      "handicap_adapted": true,
      "has_private_patio": true,
      "patio_orientation": "NORTH",
      "balcony": "NONE",
      "balcony_orientation": "NORTH",
      "parking_spot": "NONE",
      "garage": "NONE",
      "has_shared_patio": true,
      "has_elevator": true,
      "has_shared_laundry_room": true,
      "has_shared_toilet": true,
      "has_shared_sauna": true,
      "has_bike_room": true,
      "has_common_room": true,
      "has_gym": true,
      "has_waste_disposal_room": true,
      "is_investment_support_apartment": true
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
spaceobject(Apartment)required

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
default_requirement_profileobject or null(ApartmentRequirementProfile)
termsobject or null(ApartmentTerms)
listing_descriptionstring or null
kitchen_typestring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • KITCHEN - Kitchen

  • KITCHENETTE - Kitchenette

  • MINI_KITCHEN - Mini Kitchen

  • SHARED_KITCHEN - Shared Kitchen

  • NO_KITCHEN - No Kitchen

Enum:"KITCHEN""KITCHENETTE""MINI_KITCHEN""SHARED_KITCHEN""NO_KITCHEN"
has_security_doorboolean or null
kitchen_fan_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
washing_machine_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
tumbler_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
dishwasher_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
bathtub_statusstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

Enum:"NONE""PREPARED""PRESENT"
shower_typestring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • PREPARED - Prepared

  • PRESENT - Present

  • SHARED - Shared

Enum:"NONE""PREPARED""PRESENT""SHARED"
handicap_adaptedboolean or null
has_private_patioboolean or null
patio_orientationstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NORTH - North

  • NORTHEAST - Northeast

  • EAST - East

  • SOUTHEAST - Southeast

  • SOUTH - South

  • SOUTHWEST - Southwest

  • WEST - West

  • NORTHWEST - Northwest

Enum:"NORTH""NORTHEAST""EAST""SOUTHEAST""SOUTH""SOUTHWEST""WEST""NORTHWEST"
balconystring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • REGULAR - Regular

  • FRENCH - French

  • GLASS - Glass

  • TERRACE - Terrace

Enum:"NONE""REGULAR""FRENCH""GLASS""TERRACE"
balcony_orientationstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NORTH - North

  • NORTHEAST - Northeast

  • EAST - East

  • SOUTHEAST - Southeast

  • SOUTH - South

  • SOUTHWEST - Southwest

  • WEST - West

  • NORTHWEST - Northwest

Enum:"NORTH""NORTHEAST""EAST""SOUTHEAST""SOUTH""SOUTHWEST""WEST""NORTHWEST"
parking_spotstring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • AVAILABLE - Available

  • INCLUDED - Included

Enum:"NONE""AVAILABLE""INCLUDED"
garagestring or null, <= 255 characters

Additional Validation Information:

Enum Descriptions:

  • NONE - None

  • AVAILABLE - Available

  • INCLUDED - Included

Enum:"NONE""AVAILABLE""INCLUDED"
has_shared_patioboolean or null
has_elevatorboolean or null
has_shared_laundry_roomboolean or null
has_shared_toiletboolean or null
has_shared_saunaboolean or null
has_bike_roomboolean or null
has_common_roomboolean or null
has_gymboolean or null
has_waste_disposal_roomboolean or null
is_investment_support_apartmentboolean or null
]
Response
[ { "organization": { … }, "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "space": { … }, "default_requirement_profile": { … }, "terms": { … }, "listing_description": "string", "kitchen_type": "KITCHEN", "has_security_door": true, "kitchen_fan_status": "NONE", "washing_machine_status": "NONE", "tumbler_status": "NONE", "dishwasher_status": "NONE", "bathtub_status": "NONE", "shower_type": "NONE", "handicap_adapted": true, "has_private_patio": true, "patio_orientation": "NORTH", "balcony": "NONE", "balcony_orientation": "NORTH", "parking_spot": "NONE", "garage": "NONE", "has_shared_patio": true, "has_elevator": true, "has_shared_laundry_room": true, "has_shared_toilet": true, "has_shared_sauna": true, "has_bike_room": true, "has_common_room": true, "has_gym": true, "has_waste_disposal_room": true, "is_investment_support_apartment": true } ]